package body MSHTML.IHTMLIFrameElement3_Object is

   function Get_contentDocument
     (This : IHTMLIFrameElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLIFrameElement3_Get_contentDocument);
   end Get_contentDocument;

   procedure Put_src
     (This : IHTMLIFrameElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLIFrameElement3_Put_src,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_src;

   function Get_src
     (This : IHTMLIFrameElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLIFrameElement3_Get_src);
   end Get_src;

   procedure Put_longDesc
     (This : IHTMLIFrameElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLIFrameElement3_Put_longDesc,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_longDesc;

   function Get_longDesc
     (This : IHTMLIFrameElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLIFrameElement3_Get_longDesc);
   end Get_longDesc;

   procedure Put_frameBorder
     (This : IHTMLIFrameElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLIFrameElement3_Put_frameBorder,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_frameBorder;

   function Get_frameBorder
     (This : IHTMLIFrameElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLIFrameElement3_Get_frameBorder);
   end Get_frameBorder;

end MSHTML.IHTMLIFrameElement3_Object;

